Index: src/interfaces/ecpg/test/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/ecpg/test/Makefile,v
retrieving revision 1.53
diff -c -r1.53 Makefile
*** src/interfaces/ecpg/test/Makefile	8 Feb 2006 09:10:05 -0000	1.53
--- src/interfaces/ecpg/test/Makefile	23 Apr 2006 21:33:09 -0000
***************
*** 44,46 ****
--- 44,55 ----
  
  clean:
  	rm -f $(TESTS) $(TESTS:%=%.o) $(TESTS:%=%.c) log
+ 
+ RUNTESTS=$(filter-out test2 perftest test_thread test_thread_implicit, $(TESTS))
+ 
+ check: all
+ 	psql -q postgres -f unschema.sql
+ 	psql -q postgres -f schema.sql
+ 	rm -f out/*
+ 	for i in $(RUNTESTS) ; do echo -n "$$i..."; ./$$i > out/$$i 2>&1 ; echo ; done
+ 	if ! diff -cr expected/ out/ > regression.diff ; then echo "Error: Regression failure" ; fi
Index: src/interfaces/ecpg/test/dt_test.pgc
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/ecpg/test/dt_test.pgc,v
retrieving revision 1.9
diff -c -r1.9 dt_test.pgc
*** src/interfaces/ecpg/test/dt_test.pgc	11 Mar 2006 04:38:40 -0000	1.9
--- src/interfaces/ecpg/test/dt_test.pgc	23 Apr 2006 21:33:09 -0000
***************
*** 34,40 ****
  	date1 = PGTYPESdate_from_asc(d1, NULL); 
  	ts1 = PGTYPEStimestamp_from_asc(t1, NULL); 
  	
! 	exec sql insert into date_test(d, ts, iv) values (:date1, :ts1, now()-'Mon Jan 17 1966');
  
  	exec sql select * into :date1, :ts1 , :iv1 from date_test where d=:date1;
  	
--- 34,40 ----
  	date1 = PGTYPESdate_from_asc(d1, NULL); 
  	ts1 = PGTYPEStimestamp_from_asc(t1, NULL); 
  	
! 	exec sql insert into date_test(d, ts, iv) values (:date1, :ts1, ('2006-04-04 14:33:34'::timestamp)-'Mon Jan 17 1966');
  
  	exec sql select * into :date1, :ts1 , :iv1 from date_test where d=:date1;
  	
***************
*** 154,164 ****
  	PGTYPESdate_defmt_asc(&date1, fmt, in);
  	text = PGTYPESdate_to_asc(date1);
  	printf("date_defmt_asc12: %s\n", text);
! 
  	PGTYPEStimestamp_current(&ts1);
  	text = PGTYPEStimestamp_to_asc(ts1);
  	printf("timestamp_current: Now: %s\n", text);
! 
  	ts1 = PGTYPEStimestamp_from_asc("96-02-29", NULL);
  	text = PGTYPEStimestamp_to_asc(ts1);
  	printf("timestamp_to_asc1: %s\n", text);
--- 154,164 ----
  	PGTYPESdate_defmt_asc(&date1, fmt, in);
  	text = PGTYPESdate_to_asc(date1);
  	printf("date_defmt_asc12: %s\n", text);
! #if 0
  	PGTYPEStimestamp_current(&ts1);
  	text = PGTYPEStimestamp_to_asc(ts1);
  	printf("timestamp_current: Now: %s\n", text);
! #endif
  	ts1 = PGTYPEStimestamp_from_asc("96-02-29", NULL);
  	text = PGTYPEStimestamp_to_asc(ts1);
  	printf("timestamp_to_asc1: %s\n", text);
Index: src/interfaces/ecpg/test/dyntest2.pgc
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/ecpg/test/dyntest2.pgc,v
retrieving revision 1.7
diff -c -r1.7 dyntest2.pgc
*** src/interfaces/ecpg/test/dyntest2.pgc	11 Mar 2006 16:57:44 -0000	1.7
--- src/interfaces/ecpg/test/dyntest2.pgc	23 Apr 2006 21:33:10 -0000
***************
*** 19,25 ****
  {
  exec sql begin declare section;
    int COUNT;
!   int INTVAR, BOOLVAR;
    int INDEX;
    int INDICATOR;
    int TYPE,LENGTH,OCTET_LENGTH,PRECISION,SCALE,NULLABLE,RETURNED_OCTET_LENGTH;
--- 19,25 ----
  {
  exec sql begin declare section;
    int COUNT;
!   int INTVAR, BOOLVAR = 0;
    int INDEX;
    int INDICATOR;
    int TYPE,LENGTH,OCTET_LENGTH,PRECISION,SCALE,NULLABLE,RETURNED_OCTET_LENGTH;
Index: src/interfaces/ecpg/test/test1.pgc
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/ecpg/test/test1.pgc,v
retrieving revision 1.34
diff -c -r1.34 test1.pgc
*** src/interfaces/ecpg/test/test1.pgc	8 Feb 2006 09:10:05 -0000	1.34
--- src/interfaces/ecpg/test/test1.pgc	23 Apr 2006 21:33:10 -0000
***************
*** 87,93 ****
          exec sql execute immediate :command;
  	printf("New tuple got OID = %ld\n", sqlca.sqlerrd[1]);
   
!         sprintf(command, "insert into \"Test\" (name, amount, letter) values ('db: \\\'mm\\\'', 2, 't')");
          exec sql execute immediate :command;
  
          strcpy(msg, "execute insert 2");
--- 87,93 ----
          exec sql execute immediate :command;
  	printf("New tuple got OID = %ld\n", sqlca.sqlerrd[1]);
   
!         sprintf(command, "insert into \"Test\" (name, amount, letter) values (E'db: \\\'mm\\\'', 2, 't')");
          exec sql execute immediate :command;
  
          strcpy(msg, "execute insert 2");
Index: src/interfaces/ecpg/test/schema.sql
=========================================================================
*** src/interfaces/ecpg/test/schema.sql.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/schema.sql	Sun Apr 23 17:05:33 2006
***************
*** 0 ****
--- 1,5 ----
+ CREATE DATABASE mm;
+ CREATE DATABASE pm;
+ CREATE ROLE postgres LOGIN;
+ \c mm
+ CREATE LANGUAGE plpgsql;
Index: src/interfaces/ecpg/test/unschema.sql
=========================================================================
*** src/interfaces/ecpg/test/unschema.sql.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/unschema.sql	Sun Apr 23 17:05:33 2006
***************
*** 0 ****
--- 1,4 ----
+ DROP DATABASE mm;
+ DROP DATABASE pm;
+ DROP ROLE postgres;
+ 
Index: src/interfaces/ecpg/test/expected/dt_test
=========================================================================
*** src/interfaces/ecpg/test/expected/dt_test.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/dt_test	Sun Apr 23 17:10:24 2006
***************
*** 0 ****
--- 1,49 ----
+ Date: 1966-01-17
+ timestamp: 2000-07-12 17:34:29
+ interval: @ 14687 days 14 hours 33 mins 34 secs
+ m: 4, d: 19, y: 1998
+ date seems to get encoded to julian -622
+ m: 4, d: 19, y: 1998
+ date_day of 2003-12-04 17:34:29 is 4
+ today is 2006-04-23
+ Today in format "(ddd), mmm. dd, yyyy, repeat: (ddd), mmm. dd, yyyy. end" is "(Sun), Apr. 23, 2006, repeat: (Sun), Apr. 23, 2006. end"
+ date_defmt_asc1: 1995-12-25
+ date_defmt_asc2: 0095-12-25
+ date_defmt_asc3: 0095-12-25
+ date_defmt_asc4: 1995-12-25
+ date_defmt_asc5: 1995-12-25
+ date_defmt_asc6: 1995-12-25
+ date_defmt_asc7: 1995-12-25
+ date_defmt_asc8: 1995-12-25
+ date_defmt_asc9: 1995-12-25
+ date_defmt_asc10: 1995-12-25
+ date_defmt_asc12: 0095-12-25
+ timestamp_to_asc1: 1996-02-29 00:00:00
+ timestamp_to_asc2: 1994-02-11 03:10:35
+ timestamp_to_asc3: 2000-01-01 00:00:00
+ timestamp_fmt_asc: 0: abc-00:00:00-def-01/01/00-ghi%
+ timestamp_defmt_asc(This is a 4/12/80 3-39l12test, This is a %m/%d/%y %H-%Ml%Stest) = 1980-04-12 03:39:12, error: 0
+ timestamp_defmt_asc(Tue Jul 22 17:28:44 +0200 2003, %a %b %d %H:%M:%S %z %Y) = 2003-07-22 15:28:44, error: 0
+ timestamp_defmt_asc(Tue Feb 29 17:28:44 +0200 2000, %a %b %d %H:%M:%S %z %Y) = 2000-02-29 15:28:44, error: 0
+ timestamp_defmt_asc(Tue Feb 29 17:28:44 +0200 1900, %a %b %d %H:%M:%S %z %Y) = 1900-02-28 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(Tue Feb 29 17:28:44 +0200 1996, %a %b %d %H:%M:%S %z %Y) = 1996-02-29 15:28:44, error: 0
+ timestamp_defmt_asc(      Jul 31 17:28:44 +0200 1996, %b %d %H:%M:%S %z %Y) = 1996-07-31 15:28:44, error: 0
+ timestamp_defmt_asc(      Jul 32 17:28:44 +0200 1996, %b %d %H:%M:%S %z %Y) = 1996-07-31 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(Tue Feb 29 17:28:44 +0200 1997, %a %b %d %H:%M:%S %z %Y) = 1997-02-28 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(Tue Jul 22 17:28:44 +0200 2003, %) = 1997-02-28 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(Tue Jul 22 17:28:44 +0200 2003, a %) = 1997-02-28 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(    Jul, 22 17_28 `44 +0200  2003  , %b, %d %H_%M`%S %z %Y) = 2003-07-22 15:28:44, error: 0
+ timestamp_defmt_asc(Tue Jul %22 17:28:44 CEST 2003, %a %b %%%d %H:%M:%S %Z %Y) = 2003-07-22 15:28:44, error: 0
+ timestamp_defmt_asc(Tue Jul %22 17:28:44 CEST 2003, %a %b %%%d %H:%M:%S %Z %Y) = 2003-07-22 15:28:44, error: 0
+ timestamp_defmt_asc(abc
+    19 October %22 17:28:44 CEST 2003, abc%n %C %B %%%d %H:%M:%S %Z %Y) = 2003-10-22 15:28:44, error: 0
+ timestamp_defmt_asc(abc
+    18 October %34 17:28:44 CEST 80, abc%n %C %B %%%d %H:%M:%S %Z %y) = 1880-10-31 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(abc
+    18 October %34 17:28:44 CEST 80, ) = 1880-10-31 15:28:44, error (should be error!): 1
+ timestamp_defmt_asc(1980-04-12 3:49:44      , (null)) = 1980-04-12 03:49:44, error: 0
+ timestamp_defmt_asc(July 14, 1988. Time: 9:15am, %B %d, %Y. Time: %I:%M%p) = 1988-07-14 09:15:00, error: 0
+ timestamp_defmt_asc(September 6 at 01:30 pm in the year 1983, %B %d at %I:%M %p in the year %Y) = 1983-09-06 13:30:00, error: 0
+ timestamp_defmt_asc(  1976, July 14. Time: 9:15am, %Y,   %B %d. Time: %I:%M %p) = 1976-07-14 09:15:00, error: 0
+ timestamp_defmt_asc(  1976, July 14. Time: 9:15 am, %Y,   %B %d. Time: %I:%M%p) = 1976-07-14 09:15:00, error: 0
+ timestamp_defmt_asc(  1976, P.M. July 14. Time: 9:15, %Y, %P  %B %d. Time: %I:%M) = 1976-07-14 21:15:00, error: 0
Index: src/interfaces/ecpg/test/expected/dyntest
=========================================================================
*** src/interfaces/ecpg/test/expected/dyntest.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/dyntest	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,49 ----
+ 7 Columns
+ schemaname <OID 19> [64 bytes]
+ tablename <OID 19> [64 bytes]
+ tableowner <OID 19> [64 bytes]
+ tablespace <OID 19> [64 bytes]
+ hasindexes bool [1 bytes]
+ hasrules bool [1 bytes]
+ hastriggers bool [1 bytes]
+ 
+ 'information_schema'|'sql_languages'|'kleptog'|NULL|false|false|false|
+ 'information_schema'|'sql_packages'|'kleptog'|NULL|false|false|false|
+ 'information_schema'|'sql_parts'|'kleptog'|NULL|false|false|false|
+ 'information_schema'|'sql_sizing'|'kleptog'|NULL|false|false|false|
+ 'information_schema'|'sql_sizing_profiles'|'kleptog'|NULL|false|false|false|
+ 'pg_catalog'|'pg_authid'|'kleptog'|'pg_global'|true|false|true|
+ 'information_schema'|'sql_features'|'kleptog'|NULL|false|false|false|
+ 'information_schema'|'sql_implementation_info'|'kleptog'|NULL|false|false|false|
+ 'pg_catalog'|'pg_database'|'kleptog'|'pg_global'|true|false|true|
+ 'pg_catalog'|'pg_description'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_proc'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_rewrite'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_shdescription'|'kleptog'|'pg_global'|true|false|false|
+ 'pg_catalog'|'pg_statistic'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_type'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_attribute'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_class'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_autovacuum'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_inherits'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_index'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_operator'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_opclass'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_am'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_amop'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_amproc'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_language'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_largeobject'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_aggregate'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_trigger'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_listener'|'kleptog'|NULL|false|false|false|
+ 'pg_catalog'|'pg_cast'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_namespace'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_conversion'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_depend'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_tablespace'|'kleptog'|'pg_global'|true|false|false|
+ 'pg_catalog'|'pg_pltemplate'|'kleptog'|'pg_global'|true|false|false|
+ 'pg_catalog'|'pg_shdepend'|'kleptog'|'pg_global'|true|false|false|
+ 'pg_catalog'|'pg_auth_members'|'kleptog'|'pg_global'|true|false|true|
+ 'pg_catalog'|'pg_attrdef'|'kleptog'|NULL|true|false|false|
+ 'pg_catalog'|'pg_constraint'|'kleptog'|NULL|true|false|false|
Index: src/interfaces/ecpg/test/expected/dyntest2
=========================================================================
*** src/interfaces/ecpg/test/expected/dyntest2.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/dyntest2	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,841 ----
+ Count 7
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 13 nullable: 1)
+ 	= <"sql_languages">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 12 nullable: 1)
+ 	= <"sql_packages">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"sql_parts">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"sql_sizing">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 19 nullable: 1)
+ 	= <"sql_sizing_profiles">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_authid">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 12 nullable: 1)
+ 	= <"sql_features">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 18 nullable: 1)
+ 	= <"information_schema">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 23 nullable: 1)
+ 	= <"sql_implementation_info">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 11 nullable: 1)
+ 	= <"pg_database">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 14 nullable: 1)
+ 	= <"pg_description">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"pg_proc">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_rewrite">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 16 nullable: 1)
+ 	= <"pg_shdescription">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 12 nullable: 1)
+ 	= <"pg_statistic">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"pg_type">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 12 nullable: 1)
+ 	= <"pg_attribute">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 8 nullable: 1)
+ 	= <"pg_class">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 13 nullable: 1)
+ 	= <"pg_autovacuum">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 11 nullable: 1)
+ 	= <"pg_inherits">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 8 nullable: 1)
+ 	= <"pg_index">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 11 nullable: 1)
+ 	= <"pg_operator">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_opclass">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 5 nullable: 1)
+ 	= <"pg_am">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"pg_amop">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_amproc">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 11 nullable: 1)
+ 	= <"pg_language">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 14 nullable: 1)
+ 	= <"pg_largeobject">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 12 nullable: 1)
+ 	= <"pg_aggregate">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_trigger">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 11 nullable: 1)
+ 	= <"pg_listener">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"pg_cast">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 12 nullable: 1)
+ 	= <"pg_namespace">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 13 nullable: 1)
+ 	= <"pg_conversion">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_depend">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 13 nullable: 1)
+ 	= <"pg_tablespace">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 13 nullable: 1)
+ 	= <"pg_pltemplate">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 11 nullable: 1)
+ 	= <"pg_shdepend">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 15 nullable: 1)
+ 	= <"pg_auth_members">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 9 nullable: 1)
+ 	= <"pg_global">
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_attrdef">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  1	schemaname (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 10 nullable: 1)
+ 	= <"pg_catalog">
+  2	tablename (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 13 nullable: 1)
+ 	= <"pg_constraint">
+  3	tableowner (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 7 nullable: 1)
+ 	= <"kleptog">
+  4	tablespace (type: -19 length: -5 precision: -1 scale: 65531
+ 	octet_length: 64 returned_octet_length: 0 nullable: 1)
+ 	= NULL
+  5	hasindexes (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= true
+  6	hasrules (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
+  7	hastriggers (type: 16 length: -5 precision: -1 scale: 65531
+ 	octet_length: 1 returned_octet_length: 1 nullable: 1)
+ 	= false
Index: src/interfaces/ecpg/test/expected/num_test
=========================================================================
*** src/interfaces/ecpg/test/expected/num_test.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/num_test	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,5 ----
+ long = 1407.0
+ add = 2379.7
+ sub = 2369.7
+ mul = 13306998429.873000000
+ div = 1330699.84298730000 1.330700e+06
Index: src/interfaces/ecpg/test/expected/test1
=========================================================================
*** src/interfaces/ecpg/test/expected/test1.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test1	Sun Apr 23 17:04:00 2006
***************
*** 0 ****
--- 1,29 ----
+ New tuple got OID = 0
+ Inserted 2 tuples via execute immediate
+ Inserted 1 tuples via prepared execute
+ Database: mm
+ name[0]=db: 'mm'	amount[0]=1	letter[0]=f
+ name[1]=db: 'mm'	amount[1]=2	letter[1]=t
+ name[2]=db: 'mm'	amount[2]=11	letter[2]=f
+ name[3]=db: 'mm'	amount[3]=12	letter[3]=t
+ Database: mm
+ name[0]=db: 'mm'	amount[0]=1	letter[0]=f
+ name[1]=db: 'mm'	amount[1]=2	letter[1]=t
+ name[2]=db: 'mm'	amount[2]=11	letter[2]=f
+ name[3]=db: 'mm'	amount[3]=12	letter[3]=t
+ Database: pm
+ name[0]=db: 'pm'	amount[0]=1	letter[0]=f
+ name[1]=db: 'pm'	amount[1]=101	letter[1]=f
+ name[2]=db: 'mm'	amount[2]=1001	letter[2]=f
+ name[3]=db: 'mm'	amount[3]=1002	letter[3]=t
+ name[4]=db: 'mm'	amount[4]=1011	letter[4]=f
+ name[5]=db: 'mm'	amount[5]=1012	letter[5]=t
+ Database: pm
+ name[0]=db: 'pm'	amount[0]=1	letter[0]=f
+ name[1]=db: 'pm'	amount[1]=101	letter[1]=f
+ name[2]=db: 'mm'	amount[2]=1001	letter[2]=f
+ name[3]=db: 'mm'	amount[3]=1002	letter[3]=t
+ name[4]=db: 'mm'	amount[4]=1011	letter[4]=f
+ name[5]=db: 'mm'	amount[5]=1012	letter[5]=t
+ Database: mm
+ name[2]=db: 'mm'	amount[2]=1407	letter[2]=f
Index: src/interfaces/ecpg/test/expected/test3
=========================================================================
*** src/interfaces/ecpg/test/expected/test3.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test3	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,4 ----
+ Carsten , born 19910103, age = 10
+ Marc    , born 19930907, age = 8
+ Chris   , born 19970923, age = 4
+ Petra   , married 1990-04-04, children = 3
Index: src/interfaces/ecpg/test/expected/test4
=========================================================================
*** src/interfaces/ecpg/test/expected/test4.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test4	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,13 ----
+ Found f=14.070000 text=0123456789 b=1
+ Found a[0] = 9
+ Found a[1] = 8
+ Found a[2] = 7
+ Found a[3] = 6
+ Found a[4] = 5
+ Found a[5] = 4
+ Found a[6] = 3
+ Found a[7] = 2
+ Found a[8] = 1
+ Found a[9] = 0
+ Found text=klmnopqrst
+ Found text={9,8,7,6,5,4,3,2,1,0}
Index: src/interfaces/ecpg/test/expected/test5
=========================================================================
*** src/interfaces/ecpg/test/expected/test5.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test5	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,3 ----
+ name=first user          , accs=320 byte=\001m\000\212
+ name=first user          , accs=320 byte=\001m\000\212
+ name=first user          , accs=320 byte=(1)(155)(0)(212)
Index: src/interfaces/ecpg/test/expected/test_code100
=========================================================================
Index: src/interfaces/ecpg/test/expected/test_desc
=========================================================================
*** src/interfaces/ecpg/test/expected/test_desc.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test_desc	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,4 ----
+ output = 1
+ val1=1 val2='one'
+ val1=2 val2=null
+ val1=2 val2=null
Index: src/interfaces/ecpg/test/expected/test_func
=========================================================================
Index: src/interfaces/ecpg/test/expected/test_informix
=========================================================================
*** src/interfaces/ecpg/test/expected/test_informix.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test_informix	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,7 ----
+ INSERT: -239='duplicate key violates unique constraint "test_pkey"' in line 22.
+ SELECT: -284='more than one row returned by a subquery used as an expression' in l
+ 7 NULL
+ 14 1
+ DELETE: 100
+ Exists: 0
+ Does not exist: 100
Index: src/interfaces/ecpg/test/expected/test_informix2
=========================================================================
*** src/interfaces/ecpg/test/expected/test_informix2.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test_informix2	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,2 ----
+ Read in customer 1
+ All OK!
Index: src/interfaces/ecpg/test/expected/test_init
=========================================================================
Index: src/interfaces/ecpg/test/expected/test_notice
=========================================================================
*** src/interfaces/ecpg/test/expected/test_notice.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/test_notice	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1,7 ----
+ sqlca.sqlwarn: W2
+ 52 0:
+ 55 0:
+ 65 -400:'cursor "x" already exists' in line 64.
+ 68 -400:'current transaction is aborted, commands ignored until end of transa
+ 71 -400:'current transaction is aborted, commands ignored until end of transa
+ 77 -400:'current transaction is aborted, commands ignored until end of transa
Index: src/interfaces/ecpg/test/expected/testdynalloc
=========================================================================
*** src/interfaces/ecpg/test/expected/testdynalloc.orig	Sun Apr 23 23:33:16 2006
--- src/interfaces/ecpg/test/expected/testdynalloc	Sun Apr 23 16:46:31 2006
***************
*** 0 ****
--- 1 ----
+ Result 'sql_languages', 'sql_packages', 'sql_parts', 'sql_sizing', 'sql_sizing_profiles', 'pg_authid', 'sql_features', 'sql_implementation_info', 'pg_database', 'pg_description', 'pg_proc', 'pg_rewrite', 'pg_shdescription', 'pg_statistic', 'pg_type', 'pg_attribute', 'pg_class', 'pg_autovacuum', 'pg_inherits', 'pg_index', 'pg_operator', 'pg_opclass', 'pg_am', 'pg_amop', 'pg_amproc', 'pg_language', 'pg_largeobject', 'pg_aggregate', 'pg_trigger', 'pg_listener', 'pg_cast', 'pg_namespace', 'pg_conversion', 'pg_depend', 'pg_tablespace', 'pg_pltemplate', 'pg_shdepend', 'pg_auth_members', 'pg_attrdef', 'pg_constraint', 
